---
title: Additional Software
summary: Overview of the additionalSoftware repository
authors:
    - Sebastian Oberschwendtner
date: 2023-09-08
glightbox: false
---

## cpacsInterface
![Icon](../assets/images/documentation/cpacs-interface.svg){.overview-img  align=left}
The **cpacsInterface** is an additional module of the UNICADO toolchain.
Its purpose is to transform the UNICADO aircraft XML file into CPACS format and vice Versa.
The module consists of two modules convertUNICADO2CPACS which is responsible for converting the UNICADO aircraft exchange file into a CPACS format document, and convertCPACS2UNICADO which does the exact opposite and convert the data of the CPACS file into UNICADO format file.
{.overview-item}

|Module Version|Language|License|Documentation|
|:---:|:---:|:---:|---|
|2.1.0|:simple-cplusplus: |GPLv3|[Link]()|

---

## designEvaluator
![Icon](../assets/images/documentation/design-evaluator.svg){.overview-img  align=left}
The **deignEvaluator** can be used to perform all available analysis on a designed aircraft and create all available reports for it.
{.overview-item}

|Module Version|Language|License|Documentation|
|:---:|:---:|:---:|---|
|2.1.0|:simple-cplusplus: |GPLv3|[Link]()|

---

## reportGenerator
![Icon](../assets/images/documentation/report-generator.svg){.overview-img  align=left}
The program collects all :simple-latex: reports of the programs and compiles a total pdf-report. 
{.overview-item}

|Module Version|Language|License|Documentation|
|:---:|:---:|:---:|---|
|2.1.0|:simple-cplusplus: |GPLv3|[Link]()|

---

## testFramework
![Icon](../assets/images/documentation/test-framework.svg){.overview-img  align=left}
The **testFramework** is the heart of the **UNICADO** test pipeline.
It can perform all required test at the different hierarchy levels.
It is mainly an automation tool written specifically for the **UNICADO** project.
{.overview-item}

|Module Version|Language|License|Documentation|
|:---:|:---:|:---:|---|
|2.1.0|:simple-python: |GPLv3|[Link]()|

---
