# Introduction {#mainpage}
Welcome to the _cost\_estimation_ module in UNICADO – where we take your aircraft operating costs from “hmm… probably a lot?” to laser-accurate precision! This tool is like a financial :crystal_ball: for your aircraft, crunching numbers on fuel, maintenance, crew costs, and just about (almost) every other expense you can imagine. Think of it as your budgeting co-pilot, always ready to calculate so you can focus on the skies instead of spreadsheets. With _cost\_estimation_, you stay in control, keep the accountants happy, and land at your bottom line without any turbulence. So buckle up, and let’s start calculating!

## Summary of features
Here’s a quick rundown of what the tool currently does, along with a sneak peek at what's planned:

 Configuration    | Energy carrier  |Cost share               | Status                               |
------------------|-----------------|-------------------------|:------------------------------------:|
Tube-and-wing     |Kerosene         |Direct operating cost    |running :white_check_mark:      |
Tube-and-wing     |Kerosene         |Indirect operating cost  |under development :construction:|
Tube-and-wing     |Liquid hydrogen  |Direct operating cost    |running :white_check_mark:      |
Tube-and-wing     |Liquid hydrogen  |Indirect operating cost  |under development :construction:|
Blended-wing-body |...              |...                      |under development :construction:|

## A user's guide to cost calculation
The _cost\_estimation_ tool is your key to accurately calculating the operating costs of an aircraft. In this user documentation, you’ll find all the information you need to understand the tool, as well as the necessary inputs and configurations to run a cost analysis from the ground up.
The following sections will walk you through the cost estimation process in UNICADO:

- [Getting started](getting_started.md)
- [Run your first cost estimation](run_your_first_cost_estimation.md)

For a comprehensive understanding of the tool’s functionality, the documentation is structured into two distinct sections:

- A [method description](operating_cost_method.md) and
- a [software architecture](software_architecture.md)
section.

Ready to dive in? Let’s get started! :money_with_wings:


<!-- ## You are a Developer?
If you are familiar with these concepts and want to contribute - head over to the developers guide to get your own method running in UNICADO!

The following pages will help you understand the code structure:

- [Prerequisites](prerequisites.md)
- [Build the code](build-the-code.md)
- [Cost estimation module structure](wing-module-structure.md)
- [Available methods](available-methods.md)
- [Method template](method-template.md)

We appreciate it! -->