# Run your first cost estimation
Let's dive into the fun part and crunch some numbers! :moneybag:

## Tool single execution
The tool can be executed from the console directly if all paths are set. The following will happen:

- [Console output](#console-output)
- [Generation of reports and plots](#reporting)
- [Writing output to aircraft exchange file](#write-data-to-acxml)

Some of the above mentioned steps did not work? Check out the [troubleshooting](#troubleshooting) section for advices. Also, if you need some additional information on the underlying methodology, check out the page on the [cost estimation method](operating_cost_method.md).

So, feel free to open the terminal and run `cost_estimation.exe` to see what happens...

### Console output {#console-output}
Firstly, you see output in the console window. Let's go through it step by step...

```
2024-12-06 11:37:30,205 - PRINT - Cost estimation started...
2024-12-06 11:37:30,224 - PRINT - ----------------------------------------------------------
2024-12-06 11:37:30,224 - PRINT - Operating cost estimation results for design mission.   
2024-12-06 11:37:30,224 - PRINT - ----------------------------------------------------------
2024-12-06 11:37:30,226 - PRINT - Capital costs: 5,852,515 €
2024-12-06 11:37:30,226 - PRINT - Crew costs (per year): 4,779,200 €
2024-12-06 11:37:30,227 - PRINT - ROUTE INDEPENDENT COSTS (per year): 10,631,715 €
2024-12-06 11:37:30,227 - PRINT -                              *                            
2024-12-06 11:37:30,319 - PRINT - Fuel costs (per year): 22,744,718 €
2024-12-06 11:37:30,322 - PRINT - Handling costs (per year): 3,119,900 €
2024-12-06 11:37:30,322 - PRINT - Landing costs (per year): 1,290,968 €
2024-12-06 11:37:30,348 - PRINT - Air traffic control costs (per year): 9,271,834 €
2024-12-06 11:37:30,351 - PRINT - Maintenance costs (per year): 8,038,461 €
2024-12-06 11:37:30,377 - PRINT - ROUTE DEPENDENT COSTS (per year): 44,465,883 €
2024-12-06 11:37:30,377 - PRINT -                              *                            
2024-12-06 11:37:30,420 - PRINT - DIRECT OPERATING COSTS (per year): 55,097,598 €
2024-12-06 11:37:30,420 - PRINT - ----------------------------------------------------------
2024-12-06 11:37:30,607 - WARNING - No calculation method for indirect operating costs (IOC) implemented. IOC set to 0.
```
To this point, the module started and calculated the operating costs for the design mission.
There is also a warning that the indirect operating cost method is not implemented yet.

```
2024-12-06 11:37:30,607 - WARNING - Warning: Operating cost estimation of study mission not possible due to missing data. No operating costs calculated.
2024-12-06 11:37:30,608 - PRINT - ----------------------------------------------------------
```
The tool continues to check if an off-design study exists and tries to calculate the respective costs. In this example, there is no off-design data available and thus, the direct operating costs cannot be determined for the study mission.

```
2024-12-06 11:37:30,641 - PRINT - Plots are generated and saved...
2024-12-06 11:37:38,187 - PRINT - HTML report is generated and saved...
2024-12-06 11:37:38,188 - PRINT - Method-specific data are written to 'cost_estimation_results.xml'...
2024-12-06 11:37:38,192 - WARNING - Warning: "tex_output" switch in module configuration file set to "False". No TeX report file generated.
2024-12-06 11:37:38,192 - PRINT - Cost estimation finished.
```
Finally, you receive information about the reports and plots created (depending on your settings, see next section) and the tool is successfully completed.

### Reporting {#reporting}
In the following, a short overview is given on the generated reports:

- A `cost_estimation.log` file is written within the directory of the executable
- Depending on your settings, the following output is generated and saved in the `reporting` folder, located in the directory of the aircraft exchange file:
    - an HTML report in the `report_html` folder
    - a TeX report in the `report_tex` folder (not implemented yet)
    - an XML file with additional output data in the `report_xml` folder
    - plots in the `plots` folder

### Write data to the aircraft exchange file {#write-data-to-acxml}
!!! note 
    The _acXML_ is an exchange file - we agreed on that only data will be saved as output that is needed by another tool!

Results are saved in the aircraft exchange file at the `aircraft_exchange_file/assessment/cost_estimation/operating_cost` node. The following information is written to the _acXML_:
```
Direct operating cost
|- Flights per year (design mission)
|- Flights per year (study mission) - only if off-design analysis available
|- Route independent cost annual
|- Route dependent cost annual
|- Direct operating cost annual
```
When implemented, the indirect operating costs are going to be saved at `aircraft_exchange_file/assessment/cost_estimation/operating_cost/indirect_operating_cost`.

## Troubleshooting {#troubleshooting}
- The tool does not run properly? *Make sure you have all the paths set up correctly and the specified elements exist.*
